---
title: CSSUnparsedValue.length
slug: Web/API/CSSUnparsedValue/length
tags:
  - API
  - CSS Typed Object Model API
  - CSSUnparsedValue
  - Constructor
  - Experimental
  - Houdini
  - NeedsExample
  - Property
  - Reference
  - length
---
<div>{{draft}}{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>length</code></strong> read-only property of the {{domxref("CSSUnparsedValue")}} interface returns the number of items in the object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>length</var> = CSSUnparsedValue.length;</pre>

<h3 id="Value">Value</h3>

<p>An integer.</p>

<h2 id="Examples">Examples</h2>

<p>In this example we employ the {{domxref('CSSUnparsedValue.CSSUnparsedValue()')}} constructor, then query the length:</p>

<pre class="brush: js">let values = new CSSUnparsedValue( ['1em', '#445566', '-45px'] );

console.log( values.length ) // 3</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssunparsedvalue-length','length')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSUnparsedValue.length")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref("CSSUnparsedValue.CSSUnparsedValue()")}}</li>
 <li>{{domxref("CSSUnparsedValue.entries")}}</li>
 <li>{{domxref("CSSUnparsedValue.forEach")}}</li>
 <li>{{domxref("CSSUnparsedValue.keys")}}</li>
 <li>{{domxref("CSSUnparsedValue.values")}}</li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
